Skip to content

Try “workflows”, “templates”, “SOQL” or “create a record”.

Integrations

The integrations catalogue and your connected accounts.

List available integration toolkits

GET/composio/toolkits
Scope integrations:viewRead-only

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/composio/toolkits" \  -H "Authorization: Bearer $KLERC_TOKEN"

List connected integrations

GET/composio/connected-accounts
Scope integrations:viewRead-only

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/composio/connected-accounts" \  -H "Authorization: Bearer $KLERC_TOKEN"

Start connecting an integration

POST/composio/connect/{toolkit}
Scope integrations:manageWrites data

Path parameters

NameType
toolkitrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/composio/connect/{toolkit}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Disconnect an integration

DELETE/composio/connected-accounts/{id}
Scope integrations:manageWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/composio/connected-accounts/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"